For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
      • GETReturns all client applications.
      • POSTRegisters a new client application.
      • POSTDynamically registers a new OAuth 2.0 client according to RFC 7591.
      • GETReturns the client application with the specified id.
      • PUTUpdates the client application with the specified id.
      • DELDeletes the specified client application.
      • POSTGenerates an API key for the specified client application.
      • POSTGenerates a new secret for the specified client application.
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceClient Applications

Dynamically registers a new OAuth 2.0 client according to RFC 7591.

POST
https://api.awork.com/api/v1/clientapplications/register
POST
/api/v1/clientapplications/register
$curl -X POST https://api.awork.com/api/v1/clientapplications/register \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "redirect_uris": [
3 "https://app.ncnstn.com/oauth/callback",
4 "https://app.ncnstn.com/oauth/callback-2"
5 ],
6 "client_name": "NCNSTN Integration",
7 "token_endpoint_auth_method": "client_secret_basic",
8 "grant_types": [
9 "authorization_code",
10 "refresh_token"
11 ],
12 "response_types": [
13 "code"
14 ],
15 "scope": "openid profile email offline_access",
16 "application_type": "web",
17 "contacts": [
18 "carla@ncnstn.com",
19 "dev@ncnstn.com"
20 ],
21 "logo_uri": "https://app.ncnstn.com/logo.png",
22 "client_uri": "https://app.ncnstn.com",
23 "policy_uri": "https://app.ncnstn.com/privacy",
24 "tos_uri": "https://app.ncnstn.com/terms",
25 "software_id": "a3f8c3a1-6f1b-4ac7-8cb3-9d4c2b2b8f9f",
26 "software_version": "1.0.0",
27 "client_id": "dcr_ncnstn_integration_123456",
28 "client_secret": "G7g9jK8mP2nR4sT6vY8xZ0wQ",
29 "client_secret_expires_at": 0,
30 "client_id_issued_at": 1617187200
31}
This endpoint implements the OAuth 2.0 Dynamic Client Registration Protocol. It allows clients to register themselves with the authorization server dynamically.
Was this page helpful?
Previous

Returns the client application with the specified id.

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

The dynamic client registration request.
redirect_urislist of strings or nullOptional

Array of redirection URI strings for use in redirect-based flows.

client_namestring or nullOptional

Human-readable name of the client to be presented to the end-user.

token_endpoint_auth_methodstring or nullOptional
Requested authentication method for the token endpoint.
grant_typeslist of strings or nullOptional
Array of OAuth 2.0 grant types that the client will use.
response_typeslist of strings or nullOptional
Array of OAuth 2.0 response types that the client will use.
scopestring or nullOptional

Space-delimited list of OAuth 2.0 scope values.

application_typestring or nullOptional
Kind of the application.
contactslist of strings or nullOptional

Array of e-mail addresses of people responsible for this client.

logo_uristring or nullOptional
URL that references a logo for the client application.
client_uristring or nullOptional
URL of the home page of the client application.
policy_uristring or nullOptional

URL that the client provides to the end-user with information about how the client uses their data.

tos_uristring or nullOptional

URL that the client provides to the end-user to read about the client’s terms of service.

software_idstring or nullOptional

A unique identifier string (e.g., a Universally Unique Identifier (UUID)) assigned by the client developer.

software_versionstring or nullOptional

A version identifier string for the client software identified by software_id.

Response

Created
redirect_urislist of strings or null

Array of redirection URI strings for use in redirect-based flows.

client_namestring or null

Human-readable name of the client to be presented to the end-user.

token_endpoint_auth_methodstring or null
Requested authentication method for the token endpoint.
grant_typeslist of strings or null
Array of OAuth 2.0 grant types that the client will use.
response_typeslist of strings or null
Array of OAuth 2.0 response types that the client will use.
scopestring or null

Space-delimited list of OAuth 2.0 scope values.

application_typestring or null
Kind of the application.
contactslist of strings or null

Array of e-mail addresses of people responsible for this client.

logo_uristring or null
URL that references a logo for the client application.
client_uristring or null
URL of the home page of the client application.
policy_uristring or null

URL that the client provides to the end-user with information about how the client uses their data.

tos_uristring or null

URL that the client provides to the end-user to read about the client’s terms of service.

software_idstring or null

A unique identifier string (e.g., a Universally Unique Identifier (UUID)) assigned by the client developer.

software_versionstring or null

A version identifier string for the client software identified by software_id.

client_idstring or null
OAuth 2.0 client identifier string.
client_secretstring or null
OAuth 2.0 client secret string. Only provided for confidential clients.
client_secret_expires_atlong

Time at which the client secret will expire (0 if it doesn’t expire).

client_id_issued_atlong
Time at which the client identifier was issued as seconds since Unix epoch.

Errors

400
Bad Request Error